------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情12
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>244
--/reloadlua Script/TaoistNewAreaTask1.lua


CppScriptMgr:SetViewPosByCell(50, 25)



------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
--怪物
local playerMonster1 = CppScriptMgr:AddPlayer(175,49, 22, "Mystic Boss (Jiro)")
playerMonster1:SetZoomPercent(200);

CppScriptMgr:AddEffect("QL_ShenWei", 49, 22)
CppScriptMgr:AddEffect("QL_ShenWei", 49, 22)
CppScriptMgr:AddEffect("QL_ShenWei", 49, 22)
CppScriptMgr:AddEffect("QL_ShenWei", 49, 22)
playerMonster1:Say("Stop it!", 2000)
CppScriptMgr:WaitMilSec(500)

CppScriptMgr:AddEffect("QL_YiShan", 49, 22)
CppScriptMgr:AddEffect("QL_YiShan", 49, 22)
CppScriptMgr:AddEffect("QL_YiShan", 49, 22)
CppScriptMgr:AddEffect("QL_YiShan", 49, 22)
playerMonster1:Say("Stop it!", 2000)
CppScriptMgr:WaitMilSec(500)

playerMonster1:Say("Stop! Stop it! The Yin and Yang power in my body are driving me crazy!", 2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("zsl_ks", 49, 22)
CppScriptMgr:AddEffect("zsl_ks", 49, 22)
CppScriptMgr:AddEffect("zsl_ks", 49, 22)
CppScriptMgr:AddEffect("zsl_ks", 49, 22)
CppScriptMgr:WaitMilSec(1000)
playerMonster1:Say("Ahhh!", 2000)
CppScriptMgr:WaitMilSec(2000)
